org.apache.lucene.store

## Class Directory.IndexInputSlicer

- java.lang.Object
- - org.apache.lucene.store.Directory.IndexInputSlicer

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  Directory

    public abstract class Directory.IndexInputSlicer
    extends Object
    implements Closeable

Allows to create one or more sliced `IndexInput` instances from a single file handle. Some `Directory` implementations may be able to efficiently map slices of a file into memory when only certain parts of a file are required.

WARNING: This API is experimental and might change in incompatible ways in the next release.
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`Directory.IndexInputSlicer()`

### Method Summary

Methods
`abstract IndexInput` `openFullSlice()` Deprecated. Only for reading CFS files from 3.x indexes.
`abstract IndexInput` `openSlice(String sliceDescription, long offset, long length)` Returns an `IndexInput` slice starting at the given offset with the given length.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Closeable

`close`

### Constructor Detail

#### Directory.IndexInputSlicer

    public Directory.IndexInputSlicer()

### Method Detail

#### openSlice

    public abstract IndexInput openSlice(String sliceDescription,
                       long offset,
                       long length)
                                  throws IOException

Returns an `IndexInput` slice starting at the given offset with the given length.

Throws:
  `IOException`

#### openFullSlice

    @Deprecated
    public abstract IndexInput openFullSlice()
                                      throws IOException

Deprecated. Only for reading CFS files from 3.x indexes.
Returns an `IndexInput` slice starting at offset 0 with a length equal to the length of the underlying file

Throws:
  `IOException`